<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_1be4a86ec5405889" . "4c0dc8eeb44bf65a" => base64_decode("Y29tbW9uLnR5cGUucHViX3BhZ2V" . "z"), "_9f55fef472b741c" . "b222ce4503e90012" . "a" => base64_decode("cHViX3BhZ" . "2U="), "_bdf46cf" . "a1aba0af" . "38c9a9fa" . "98dfd831" . "b" => base64_decode("YXBw" . "X3B1" . "Ymxp" . "c2g="), "_0c5123aa744f69bb" . "c0e8b3ea2f6e847d" => base64_decode("bG1" . "zZw" . "=="));
use Claromentis\Search\ItemType;






class PublishApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_9f55fef472b" . "741cb222ce45" . "03e90012a"] => function () {
            return new ItemType\PublishPage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d"]($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_1be4a86ec54058894c0" . "dc8eeb44bf65a"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_bdf46cfa" . "1aba0af38" . "c9a9fa98d" . "fd831b"];
    }
}